GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/arm-obsd-tdep.c File Reference
`#include "defs.h"`
`#include "osabi.h"`
`#include "trad-frame.h"`
`#include "tramp-frame.h"`
`#include "obsd-tdep.h"`
`#include "arm-tdep.h"`
`#include "solib-svr4.h"`

Go to the source code of this file.

## Functions
static void | armobsd_sigframe_init (const struct tramp_frame *self, struct frame_info *this_frame, struct trad_frame_cache *cache, CORE_ADDR func)
static void | armobsd_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_armobsd_tdep (void)

## Variables
static const struct tramp_frame | armobsd_sigframe
static const gdb_byte | arm_obsd_thumb_le_breakpoint [] = {0xfe, 0xdf}
static const gdb_byte | arm_obsd_thumb_be_breakpoint [] = {0xdf, 0xfe}

## Function Documentation

## ◆ _initialize_armobsd_tdep()

void _initialize_armobsd_tdep | ( | void |  | ) |

Definition at line 119 of file arm-obsd-tdep.c.

References armobsd_init_abi(), GDB_OSABI_OPENBSD, and gdbarch_register_osabi().

## ◆ armobsd_init_abi()

static void armobsd_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 76 of file arm-obsd-tdep.c.

References ARM_FLOAT_AUTO, ARM_FLOAT_SOFT_VFP, arm_obsd_thumb_be_breakpoint, arm_obsd_thumb_le_breakpoint, arm_software_single_step(), armbsd_iterate_over_regset_sections(), armobsd_sigframe, gdbarch_info::byte_order, gdbarch_tdep::fp_model, gdbarch_tdep(), gdbarch_tdep::jb_elt_size, gdbarch_tdep::jb_pc, obsd_skip_solib_resolver(), pcc_struct_return, set_gdbarch_iterate_over_regset_sections(), set_gdbarch_skip_solib_resolver(), set_gdbarch_software_single_step(), set_solib_svr4_fetch_link_map_offsets(), gdbarch_tdep::struct_return, svr4_ilp32_fetch_link_map_offsets(), gdbarch_tdep::thumb_breakpoint, gdbarch_tdep::thumb_breakpoint_size, and tramp_frame_prepend_unwinder().

Referenced by _initialize_armobsd_tdep().

## ◆ armobsd_sigframe_init()

static void armobsd_sigframe_init | ( | const struct tramp_frame * | self,
|  | struct frame_info * | this_frame,
|  | struct trad_frame_cache * | cache,
|  | CORE_ADDR | func
| ) |  |
| static

Definition at line 32 of file arm-obsd-tdep.c.

References ARM_A1_REGNUM, ARM_LR_REGNUM, ARM_PC_REGNUM, ARM_SP_REGNUM, frame_id_build(), func, get_frame_register_signed(), regnum, gdbarch_tdep::sigcontext_addr, gdbarch_tdep::sp, trad_frame_set_id(), and trad_frame_set_reg_addr().

## Variable Documentation

## ◆ arm_obsd_thumb_be_breakpoint

const gdb_byte arm_obsd_thumb_be_breakpoint[] = {0xdf, 0xfe}
| static

Definition at line 73 of file arm-obsd-tdep.c.

Referenced by armobsd_init_abi().

## ◆ arm_obsd_thumb_le_breakpoint

const gdb_byte arm_obsd_thumb_le_breakpoint[] = {0xfe, 0xdf}
| static

Definition at line 72 of file arm-obsd-tdep.c.

Referenced by armobsd_init_abi().

## ◆ armobsd_sigframe

const struct tramp_frame armobsd_sigframe
| static

Initial value:
=
{
SIGTRAMP_FRAME,
4,
{
{ 0xe28d0010, -1 },
{ 0xef000067, -1 },
{ 0xef000001, -1 },
{ 0xeafffffc, -1 },
{ TRAMP_SENTINEL_INSN, -1 }
},
armobsd_sigframe_init
}
TRAMP_SENTINEL_INSN
#define TRAMP_SENTINEL_INSN
Definition: tramp-frame.h:44
SIGTRAMP_FRAME
Definition: frame.h:255
armobsd_sigframe_init
static void armobsd_sigframe_init(const struct tramp_frame *self, struct frame_info *this_frame, struct trad_frame_cache *cache, CORE_ADDR func)
Definition: arm-obsd-tdep.c:32

Definition at line 56 of file arm-obsd-tdep.c.

Referenced by armobsd_init_abi().